<div class="ui-g">
    <div class="ui-g-12" style="margin-top: 20px; border: solid 1px black; background-color: white">
        <h5>
            <span>Approval Finance Company</span>
        </h5>
        <div class="ui-g-6">
                <table style="width: 100%;background-color: white">
                    <tr>
                        <td style="width: 40%"></td>
                        <td style="width: 60%"></td>
                    </tr>
                    <tr>
                        <td>Nama Pemohon</td>
                        <td>: {{salesUnitRequirement.customerName}}</td>
                    </tr>
                    <tr>
                        <td>Tanggal Lahir Pemohon</td>
                        <td>: {{personalCustomer.person.dob | date:'dd-MMM-yyyy'}}</td>
                    </tr>
                    <tr>
                        <td>No. KTP Pemohon</td>
                        <td>: {{personalCustomer.person.personalIdNumber}}</td>
                    </tr>
                    <tr>
                        <td>No. Hp Pemohon</td>
                        <td>: {{personalCustomer.person.cellPhone1}}</td>
                    </tr>
                    <tr>
                        <td>Alamat Pemohon</td>
                        <td>: {{personalCustomer.person.postalAddress.address1}}</td>
                    </tr>
                    <tr>
                        <td>Nama STNK</td>
                        <td>: {{salesUnitRequirement.personOwner.name}}</td>
                    </tr>
                    <tr>
                        <td>Tanggal Lahir Pemilik STNK</td>
                        <td>: {{salesUnitRequirement.personOwner.dob | date:'dd-MMM-yyyy'}}</td>
                    </tr>
                    <tr>
                        <td>Tipe Kendaraan</td>
                        <td>: {{salesUnitRequirement.productId}}</td>
                    </tr>
                    <tr>
                        <td>OTR</td>
                        <td>: {{salesUnitRequirement.unitPrice | number: '1.0-0'}}</td>
                    </tr>
                    <tr>
                        <td>DP Gross</td>
                        <td>: {{salesUnitRequirement.creditDownPayment | number: '1.0-0'}}</td>
                    </tr>
                    <tr>
                        <td>Tenor</td>
                        <td>: {{salesUnitRequirement.creditTenor}}</td>
                    </tr>
                    <tr>
                        <td>Angsuran</td>
                        <td>: {{salesUnitRequirement.creditInstallment | number: '1.0-0'}}</td>
                    </tr>
                    <tr>
                        <td>Nama Sales / No HP</td>
                        <td>: {{salesUnitRequirement.salesmanName}}</td>
                    </tr>
                </table>
            <div>
                Catatan: 
            </div>
            <div>
                <textarea pInputTextarea class="form-control" 
                    autoResize="true" rows="3" 
                    [(ngModel)]="salesUnitRequirement.leasingnote"
                    [disabled]="salesUnitRequirement.approvalLeasing == 61 || salesUnitRequirement.approvalLeasing == 62">
                </textarea>
            </div>
            <div style="margin-top: 10px" *ngIf="isAfc == true">
                <button pButton type="button"
                    [disabled]="salesUnitRequirement.approvalLeasing == 61 || salesUnitRequirement.approvalLeasing == 62"
                    (click)="approve()"
                    label="Approve"
                    icon="fa-thumbs-up"
                    class="ui-button-primary flat-label-button"
                    *jhiHasAnyAuthority="['ROLE_AFC']">
                </button>
                <button pButton type="button"
                    [disabled]="salesUnitRequirement.approvalLeasing == 61 || salesUnitRequirement.approvalLeasing == 62"
                    (click)="notApprove()"
                    label="Not Approve"
                    icon="fa-ban" 
                    class="ui-button-primary flat-label-button"
                    *jhiHasAnyAuthority="['ROLE_AFC']">
                </button>
                <button pButton type="button"
                    (click)="previousState()"
                    label="Kembali"
                    class="ui-button-primary flat-label-button"
                    *jhiHasAnyAuthority="['ROLE_AFC']">
                </button>
            </div>
        </div>
        <div class="ui-g-6">
            <jhi-approval-leasing-document-as-list 
                isHaveOwnConfirmDialog="true" 
                [idparty]="idParty" 
                [readonly]="isReadOnlyDocument">
            </jhi-approval-leasing-document-as-list>
            <div style="margin-top: 10px" *ngIf="isAfc == true">
                <button pButton type="button"
                    (click)="request()"
                    label="Request Attachment"
                    icon="fa fa-file-image-o"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
        </div>
    </div>
</div>